Bug 203413 - pppd loops with after pty program terminates
pppd loops with after pty program terminates
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 15:07 EDT by Oleg Drokin
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 14:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Drokin 2006-08-21 15:07:22 EDT
Description of problem:

pppd loops in its main loop in main() if program supplied as pty argument
terminates and 'persist' option specified . It traced that to fsm_lowerdown()
for f->state=OPENED setting f->state to STARTING.
as a result, when on a next iteration cycle we get to lcp_open()->fsm_open with
this f->state, we do not bring our pty program up again (as we would do if
f->state was INITIAL), so the pty is not setup, we exit lcp_open() and do
another iteration in the loop, and so on and so on.

Version-Release number of selected component (if applicable):
ppp-2.4.3-6.2.1 (from FC5)

How reproducible:
100% reproducible

Steps to Reproduce:
1. configure pppd to use e.g. pptp as a pty script
2. start pppd with persist option
3. kill pptp
4. watch pppd eating 100% cpu.
  
Expected results:
I would expect pppd to restart pptp and connect normally to server again.
Comment 1 Nils Philippsen 2006-09-18 04:18:34 EDT
I see a similar thing with DSL here (PPPoE), when doing "ifdown ppp0; ifup ppp0"
-- which I need to do despite the persist option (which should cause pppd to
automatically reconnect to my provider after they disconnect, which they do
every 24 hours).
Comment 2 Thomas Woerner 2007-08-30 04:38:06 EDT
Please verify this with the ppp-2.4.4 package from FC-6?
Comment 3 Bug Zapper 2008-04-03 23:34:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Nils Philippsen 2008-04-04 07:19:03 EDT
I don't have the problem with ifdown/ifup anymore, but I'd have to check (i.e.
wait) to see whether it survives the disconnect after 24 hours. Oleg?
Comment 5 Oleg Drokin 2008-04-04 22:04:45 EDT
Unfortunately, I have nowhere to test this anymore, I stopped using pptp setup a
while ago now.

Sorry, I cnnot be of more help.
Comment 6 John Poelstra 2008-04-10 14:45:05 EDT
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.